Seite 2 von 2

Re: Forum aktualisieren

Verfasst: Samstag 30. Januar 2016, 08:26
von rainer
Guten Morgen, ich gebe Dir Recht und auch nicht 8)
DeerHunter hat geschrieben:Und da gibt es im c++ Bereich halt seit Jahren nichts. Die neueste Alpha ist von 2013 ohne, dass sich da irgendetwas bewegt oder in absehbarer Zeit bewegen wird.
Korrekt, da nur Puste den Setup-Installer hat, stolpern viele über BotE und sehen nur, dass das Ding 3 Jahre alt ist. Ja, das nennt sich tot.

Im C++ Code hat Anonymissimus aber bis Ende 2014 noch richtig viel(!) geändert und auch als Test-Version veröffentlicht.

Insofern haben/hatten wir ein Verteil-Problem für die PC-Version (Alpha X), weil -da wird Malle zustimmen- wir bei jeder Release-Veröffentlichung in verschiedenen Foren die Werbetrommel rühren konnten ("hey, neue Version") und somit neuen Zulauf bekommen hatten.


DeerHunter hat geschrieben:Wichtig ist eigentlich nur die Verfügbarkeit des Source.
Das erweitere ich auch mal auf die Frage, ob BotE tot ist. BotE (und auch Supremacy) ist nicht leicht tot zu kriegen. Es gibt da einen harten Kern. Aber ohne treibende Kraft siecht BotE dahin. Woher die treibende Kraft kommt, ob aus dem alten Kern oder aus neuen Fans, ist dabei egal.

Zurück um Source-Code: Hey, da sind dermassen viele geniale Dinge drin, um die uns andere Fan-Projekte beneiden dürfen. Supremacy hat nach ca. 12 Jahren immer noch vieles nicht davon (keine richtige AI, nicht einmal einen Computer-Gegner, keine Aliens, keine Spio, keine Sabotage, usw.)

Re: Forum aktualisieren

Verfasst: Samstag 30. Januar 2016, 08:28
von blotunga
rainer hat geschrieben:Android(Java) und C++ ...beide haben m.Erachtens Ihren Platz.

Aber ehrlich gesagt unter C++ ist bei BotE in letzter Zeit wenig passiert.

Aber: wenn nicht die ganze Arbeit und vorallem auch die Algorithem (unter C++) gemacht worden wären, hätte blotunga viel (Denk-)Arbeit gehabt. (Mit Algorithem meine ich, wie das Spiel was ausrechnet, also z.B. auch den Systemmanager von Anonymissimus :) )


Bei Android finde ich gut, dass es neue Spielerschichten erschließt...PC's werden ja immer weniger verkauft.


Also: Danke an alle, die das Spiel irgendwie voranbringen.
Also ohne Eure Arbeit im alle Bereiche, Algorithmen, Balancing, Grafiken usw, gebe es kein BotE auf Android. Wenn meiner einer alles von Anfang an schreiben hätte wäre es wahrscheinlich nie fertig einersets, andernseits wäre die Balancing sch*e....

Re: Forum aktualisieren

Verfasst: Samstag 30. Januar 2016, 16:57
von Anonymissimus
Selbst 3 Jahre ist aber noch ne vernünftige Zeit zwischen releases. Da schaust du mal nach andren open source Projekten, DeerHunter.

Nix gegen dich jeztzt, aber ich habs schon öfters gesehn dass Leite kommen und Furore machen und dann schreiben sie aber nach nem Jahr oder 2 nichtmal mehr was im Forum so wie ich.

Re: Forum aktualisieren

Verfasst: Samstag 30. Januar 2016, 18:35
von DeerHunter
So ist das Leben. Kann und wird immer wieder passieren. Garantiert auch mir (bis jetzt hoffe ich noch mehr als 2 Jahre auszuhalten..). Andere Interessen, Lebensumstände etc. Aber auch das ist schlussendlich egal, wenn es das Projekt weiterbringt und vielleicht damit neben frischen Ideen auch neues Leben ins Forum und damit in die Entwicklung von BotE bringt. Woran es hier hängt, ist doch die Fixierung auf Sir Pustekuchen, dem es wohl genau so ergangen ist. Wir können das Forum nicht umgestalten und auch die c++ Weiterentwicklung hängt ja wohl an ihm. Und damit sind wir halt einfach auf verlorenem Posten. Man sollte deshalb vielleicht einen Umzug in ein neues Forum machen. Und dann mit mindestens 2 Admins, besser noch 3 oder 4, damit soetwas nicht passieren kann. Bei der Entwicklung sind wir ja jetzt dank blotungas Java Version wieder vollkommen unabhängig.
Ganz abgesehen davon laufen sowohl das Forum als auch das Wiki über seinen Server, was natürlich auch ein nogo ist.

Re: Forum aktualisieren

Verfasst: Sonntag 31. Januar 2016, 10:35
von rainer
DeerHunter hat geschrieben: Sir Pustekuchen....[vieles] hängt ja wohl an ihm.
Hey, wir machen einfach das beste draus :-)

Re: Forum aktualisieren

Verfasst: Montag 22. Februar 2016, 16:34
von Eisblume
Einfach beide Versionen drin lassen aber vielleicht mit dem Vermerk, dass die Java Version neueren Ursprungs ist?

Hier passiert genau das umgekehrte, wie grad bei mir XD Hatte erst Java gelernt und jetzt mit C++ angefangen (steh grad bei Multithreading).
DeerHunter hat geschrieben:Woran es hier hängt, ist doch die Fixierung auf Sir Pustekuchen, dem es wohl genau so ergangen ist. Wir können das Forum nicht umgestalten und auch die c++ Weiterentwicklung hängt ja wohl an ihm.
https://github.com/bote-team/bote Fühl dich frei C++ Code hinzuzufügen.

DeerHunter hat geschrieben: Bei der Entwicklung sind wir ja jetzt dank blotungas Java Version wieder vollkommen unabhängig.
Ganz abgesehen davon laufen sowohl das Forum als auch das Wiki über seinen Server, was natürlich auch ein nogo ist.
Wir waren vorher auch unabhängig. Desweiteren ist das jetzt nicht so der Fall, dass z.b. rainer selten reinguckt, sonder schon regelmäßig.
Desweiteren könnten, wir die Java Version ja einfach hinzufügen. So braucht man keine (gravierenden) Struktur veränderungen vornehmen. Wie z.b. neues Forum aufbauen, abgesehn davon das es erstmal viele verwirren würde, dass da plötzlich 2 sind.

Re: Forum aktualisieren

Verfasst: Montag 24. April 2017, 16:21
von Ulf
Ist jetzt schon über ein Jahr her, wo ins Forum geschaut habe. Es hat sich wohl nichts mehr getan, an dem Projekt. :( Aus welchen Gründen auch immer, sehr schade.

Update:
Ich habe mir den letzten Installer (Version 0.6.73 vom 28.01.2016) herunter geladen und kann diesen nicht ausführen. Ich erhalte die Meldung "Diese Testversion der Installation ist abgelaufen". Auch sehr sehr schade.

Re: Forum aktualisieren

Verfasst: Dienstag 25. April 2017, 06:17
von blotunga
Ulf hat geschrieben:
Montag 24. April 2017, 16:21
Ist jetzt schon über ein Jahr her, wo ins Forum geschaut habe. Es hat sich wohl nichts mehr getan, an dem Projekt. :( Aus welchen Gründen auch immer, sehr schade.

Update:
Ich habe mir den letzten Installer (Version 0.6.73 vom 28.01.2016) herunter geladen und kann diesen nicht ausführen. Ich erhalte die Meldung "Diese Testversion der Installation ist abgelaufen". Auch sehr sehr schade.
Die Installer werden nicht mehr benutzt. Siehe meine Antwort in den anderen Thread.